Index: /branches/OMEdit/OMEditGUI/ModelWidgetContainer.cpp
===================================================================
--- /branches/OMEdit/OMEditGUI/ModelWidgetContainer.cpp	(revision 13536)
+++ /branches/OMEdit/OMEditGUI/ModelWidgetContainer.cpp	(revision 13537)
@@ -2221,437 +1476,4 @@
 {
   return mpCursorPositionLabel;
-}
-
-//! Gets the components of the model and place them in the GraphicsView.
-void ModelWidget::getModelComponents(QString modelName)
-{
-  MainWindow *pMainWindow = mpModelWidgetContainer->getMainWindow();
-  // get the inherited components of the Model
-  int inheritanceCount = pMainWindow->getOMCProxy()->getInheritanceCount(modelName);
-
-  for(int i = 1 ; i <= inheritanceCount ; i++)
-  {
-    QString inheritedClass = pMainWindow->getOMCProxy()->getNthInheritedClass(modelName, i);
-    // If the inherited class is one of the builtin type such as Real we can
-    // stop here, because the class can not contain any components, etc.
-    // Look for cycles as well.
-    if (pMainWindow->getOMCProxy()->isBuiltinType(inheritedClass) || inheritedClass.compare(modelName) == 0)
-    {
-      return;
-    }
-    getModelComponents(inheritedClass);
-  }
-
-  QList<ComponentInfo*> components = pMainWindow->getOMCProxy()->getComponents(modelName);
-  QStringList componentsAnnotationsList = pMainWindow->getOMCProxy()->getComponentAnnotations(modelName);
-
-  int i = 0;
-  foreach (ComponentInfo *pComponentInfo, components)
-  {
-    if (static_cast<QString>(componentsAnnotationsList.at(i)).toLower().contains("error"))
-    {
-      i++;
-      continue;
-    }
-    if (StringHandler::removeFirstLastCurlBrackets(componentsAnnotationsList.at(i)).length() > 0)
-    {
-      if (pMainWindow->getOMCProxy()->isWhat(StringHandler::CONNECTOR, pComponentInfo->getClassName()))
-      {
-        mpDiagramGraphicsView->addComponentoView(pComponentInfo->getName(), pComponentInfo->getClassName(),
-                                                 componentsAnnotationsList.at(i), QPointF(0.0, 0.0), true, false, true);
-        mpIconGraphicsView->addComponentoView(pComponentInfo->getName(), pComponentInfo->getClassName(),
-                                              componentsAnnotationsList.at(i), QPointF(0.0, 0.0), true, false);
-      }
-      else
-      {
-        mpDiagramGraphicsView->addComponentoView(pComponentInfo->getName(), pComponentInfo->getClassName(),
-                                                 componentsAnnotationsList.at(i), QPointF(0.0, 0.0), false, false, false);
-      }
-      i++;
-    }
-  }
-}
-
-//! Gets the connections of the model and place them in the GraphicsView.
-void ModelWidget::getModelConnections()
-{
-  MainWindow *pMainWindow = mpModelWidgetContainer->getMainWindow();
-  int connectionsCount = pMainWindow->getOMCProxy()->getConnectionCount(getLibraryTreeNode()->getNameStructure());
-  int startindex=-1,endindex=-1;
-  for (int i = 1 ; i <= connectionsCount ; i++)
-  {
-    // get the connection from OMC
-    QString connectionString;
-    QStringList connectionList;
-    connectionString = pMainWindow->getOMCProxy()->getNthConnection(getLibraryTreeNode()->getNameStructure(), i);
-    connectionList = StringHandler::getStrings(StringHandler::removeFirstLastCurlBrackets(connectionString));
-    // if the connectionString only contains two items then continue the loop,
-    // because connection is not valid then
-    if (connectionList.size() < 3)
-      continue;
-
-    // get start and end components
-    QStringList startComponentList = static_cast<QString>(connectionList.at(0)).split(".");
-    QStringList endComponentList = static_cast<QString>(connectionList.at(1)).split(".");
-
-    Component *pStartComponent = mpDiagramGraphicsView->getComponentObject(startComponentList.at(0));
-    Component *pEndComponent = mpDiagramGraphicsView->getComponentObject(endComponentList.at(0));
-
-    // if Start component and end component not found then continue the loop
-    if (!pStartComponent or !pEndComponent)
-      continue;
-
-    // get start and end ports
-    Component *pStartPort = 0;
-    Component *pEndPort = 0;
-    // if a connector type is connected then we only get one item in startComponentList and endComponentList
-    // check the startcomponentlist
-    if (startComponentList.size() < 2)
-    {
-      pStartPort = pStartComponent;
-    }
-    // look for port from the parent component
-    else
-    {
-      foreach (Component *component, pStartComponent->getComponentsList())
-      {
-        int startbrac = startComponentList.at(1).indexOf("[");
-        if(startbrac == -1)
-        {
-          if (component->getComponentInfo()->getName() == startComponentList.at(1))
-            pStartPort = component;
-        }
-        //if the start port is a connector array
-        else
-        {   bool ok;
-          int endbrac = startComponentList.at(1).indexOf("]");
-          QString arrayPort = startComponentList.at(1).left(startbrac);
-          startindex = startComponentList.at(1).mid(startbrac+1,endbrac-startbrac-1).toInt(&ok,10);
-
-          if (component->getComponentInfo()->getName() == arrayPort)
-            pStartPort = component;
-        }
-      }
-    }
-    // if a connector type is connected then we only get one item in startComponentList and endComponentList
-    // check the startcomponentlist
-    if (endComponentList.size() < 2)
-    {
-      pEndPort = pEndComponent;
-    }
-    // look for port from the parent component
-    else
-    {
-      foreach (Component *component, pEndComponent->getComponentsList())
-      {
-        int startbrac = endComponentList.at(1).indexOf("[");
-        if(startbrac == -1)
-        {
-          if (component->getComponentInfo()->getName() == endComponentList.at(1))
-            pEndPort = component;
-        }
-        //if the end port is a connector array
-        else
-        {   bool ok;
-          int endbrac = endComponentList.at(1).indexOf("]");
-          QString arrayPort = endComponentList.at(1).left(startbrac);
-          endindex = endComponentList.at(1).mid(startbrac+1,endbrac-startbrac-1).toInt(&ok,10);
-          if (component->getComponentInfo()->getName() == arrayPort)
-            pEndPort = component;
-        }
-      }
-    }
-
-    // if Start port and end port not found then continue the loop
-    if (!pStartPort or !pEndPort)
-      continue;
-
-    // get the connector annotations from OMC
-    QString connectionAnnotationString;
-    QStringList connectionAnnotationList, shapesList;
-    connectionAnnotationString = pMainWindow->getOMCProxy()->getNthConnectionAnnotation(getLibraryTreeNode()->getNameStructure(), i);
-    shapesList = StringHandler::getStrings(StringHandler::removeFirstLastCurlBrackets(connectionAnnotationString), '(', ')');
-    // Now parse the shapes available in list
-    foreach (QString shape, shapesList)
-    {
-      shape = StringHandler::removeFirstLastCurlBrackets(shape);
-      if (shape.startsWith("Line"))
-      {
-        shape = shape.mid(QString("Line").length());
-        connectionAnnotationString = StringHandler::removeFirstLastBrackets(shape);
-      }
-    }
-    connectionAnnotationList = StringHandler::getStrings(connectionAnnotationString);
-    // if the connectionAnnotationString is empty then continue the loop,
-    // because connection is not valid then
-    if (connectionAnnotationList.size() < 8)
-      continue;
-
-    // create a QVector<QPointF> of annotation string to pass to connector
-    QStringList pointsList;
-    QVector<QPointF> points;
-    pointsList = StringHandler::getStrings(StringHandler::removeFirstLastCurlBrackets(connectionAnnotationList.at(3)));
-
-    foreach (QString point, pointsList)
-    {
-      QStringList linePoints = StringHandler::getStrings(StringHandler::removeFirstLastCurlBrackets(point));
-      if (linePoints.size() < 2)
-        continue;
-
-      qreal x = static_cast<QString>(linePoints.at(0)).toFloat();
-      qreal y = static_cast<QString>(linePoints.at(1)).toFloat();
-      QPointF p (x, y);
-      points.append(p);
-    }
-    // create a connector now
-    Connector *pConnector = new Connector(pStartPort, pEndPort, mpDiagramGraphicsView, points);
-    //checking for the created connector to be a connector array
-    if(startindex>=0)
-      pConnector->setStartConnectorisArray(true);
-    if(endindex>=0)
-      pConnector->setEndConnectorisArray(true);
-    //storing array indices for the connector array
-    pConnector->mpConnectorArrayMenu->setStartConnectorIndex(QString::number(startindex));
-    pConnector->mpConnectorArrayMenu->setEndConnectorIndex(QString::number(endindex));
-    mpDiagramGraphicsView->mConnectorsVector.append(pConnector);
-    mpDiagramGraphicsView->scene()->addItem(pConnector);
-  }
-}
-
-//! Gets the shapes contained in the annotation string.
-void ModelWidget::getModelShapes(QString className, int viewType)
-{
-  MainWindow *pMainWindow = mpModelWidgetContainer->getMainWindow();
-  // get the inherited components of the Model
-  int inheritanceCount = pMainWindow->getOMCProxy()->getInheritanceCount(className);
-  for(int i = 1 ; i <= inheritanceCount ; i++)
-  {
-    QString inheritedClass = pMainWindow->getOMCProxy()->getNthInheritedClass(className, i);
-    // If the inherited class is one of the builtin type such as Real we can
-    // stop here, because the class can not contain any components, etc.
-    // Look for cycles as well.
-    if (pMainWindow->getOMCProxy()->isBuiltinType(inheritedClass) || inheritedClass.compare(className) == 0)
-    {
-      return;
-    }
-    getModelShapes(inheritedClass, viewType);
-  }
-  // get the annotation
-  QString annotationString;
-  if (viewType == StringHandler::ICON)
-    annotationString = pMainWindow->getOMCProxy()->getIconAnnotation(className);
-  else if (viewType == StringHandler::DIAGRAM)
-    annotationString = pMainWindow->getOMCProxy()->getDiagramAnnotation(className);
-  // parse annotation string
-  annotationString = StringHandler::removeFirstLastCurlBrackets(annotationString);
-  if (annotationString.isEmpty())
-  {
-    return;
-  }
-  QStringList list = StringHandler::getStrings(annotationString);
-  if (list.size() < 8)
-    return;
-  // read the extent points
-  qreal left = list.at(0).toFloat();
-  qreal bottom = list.at(1).toFloat();
-  qreal right = list.at(2).toFloat();
-  qreal top = list.at(3).toFloat();
-  QList<QPointF> extent;
-  extent << QPointF(left, bottom) << QPointF(right, top);
-  // read the preserveAspectRatio
-  bool preserveAspectRatio = list.at(4).contains("true");
-  // read the initialScale
-  qreal initialScale = list.at(5).toFloat();
-  // read the grid
-  qreal horizontal = list.at(6).toFloat();
-  qreal vertical = list.at(7).toFloat();
-  QPointF grid(horizontal, vertical);
-  // set the coOrdinate system for the layer
-  if (viewType == StringHandler::ICON)
-  {
-    mpIconGraphicsView->getCoOrdinateSystem()->setExtent(extent);
-    mpIconGraphicsView->getCoOrdinateSystem()->setPreserveAspectRatio(preserveAspectRatio);
-    mpIconGraphicsView->getCoOrdinateSystem()->setInitialScale(initialScale);
-    mpIconGraphicsView->getCoOrdinateSystem()->setGrid(grid);
-    // update the graphics view scene rect
-    mpIconGraphicsView->setSceneRect(left, bottom, fabs(left - right), fabs(bottom - top));
-    mpIconGraphicsView->updateGeometry();
-  }
-  else
-  {
-    mpDiagramGraphicsView->getCoOrdinateSystem()->setExtent(extent);
-    mpDiagramGraphicsView->getCoOrdinateSystem()->setPreserveAspectRatio(preserveAspectRatio);
-    mpDiagramGraphicsView->getCoOrdinateSystem()->setInitialScale(initialScale);
-    mpDiagramGraphicsView->getCoOrdinateSystem()->setGrid(grid);
-    // update the graphics view scene rect
-    mpDiagramGraphicsView->setSceneRect(left, bottom, fabs(left - right), fabs(bottom - top));
-    mpDiagramGraphicsView->updateGeometry();
-  }
-  if (list.size() < 9)
-    return;
-  // read the shapes
-  QStringList shapesList = StringHandler::getStrings(StringHandler::removeFirstLastCurlBrackets(list.at(8)), '(', ')');
-  // Now parse the shapes available in list
-  foreach (QString shape, shapesList)
-  {
-    shape = StringHandler::removeFirstLastCurlBrackets(shape);
-    if (shape.startsWith("Line"))
-    {
-      shape = shape.mid(QString("Line").length());
-      shape = StringHandler::removeFirstLastBrackets(shape);
-      LineAnnotation *lineAnnotation;
-      // add the shapeannotation item to shapes list
-      if (viewType == StringHandler::ICON)
-      {
-        lineAnnotation = new LineAnnotation(shape, mpIconGraphicsView);
-        lineAnnotation->setFlags(QGraphicsItem::ItemIsMovable | QGraphicsItem::ItemIsSelectable);
-        mpIconGraphicsView->addShapeObject(lineAnnotation);
-        mpIconGraphicsView->scene()->addItem(lineAnnotation);
-      }
-      else if (viewType == StringHandler::DIAGRAM)
-      {
-        lineAnnotation = new LineAnnotation(shape, mpDiagramGraphicsView);
-        lineAnnotation->setFlags(QGraphicsItem::ItemIsMovable | QGraphicsItem::ItemIsSelectable);
-        mpDiagramGraphicsView->addShapeObject(lineAnnotation);
-        mpDiagramGraphicsView->scene()->addItem(lineAnnotation);
-      }
-      /*
-        before drawing the rectangle corner items add one point to line since drawrectanglecorneritems
-        deletes the one point. Why? because we end the line shape with double click which adds an extra
-        point to it. so we need to delete that point.
-      */
-      lineAnnotation->addPoint(QPoint(0, 0));
-      lineAnnotation->drawRectangleCornerItems();
-      lineAnnotation->setSelectionBoxPassive();
-    }
-    if (shape.startsWith("Polygon"))
-    {
-      shape = shape.mid(QString("Polygon").length());
-      shape = StringHandler::removeFirstLastBrackets(shape);
-      PolygonAnnotation *polygonAnnotation;
-      // add the shapeannotation item to shapes list
-      if (viewType == StringHandler::ICON)
-      {
-        polygonAnnotation = new PolygonAnnotation(shape, mpIconGraphicsView);
-        polygonAnnotation->setFlags(QGraphicsItem::ItemIsMovable | QGraphicsItem::ItemIsSelectable);
-        mpIconGraphicsView->addShapeObject(polygonAnnotation);
-        mpIconGraphicsView->scene()->addItem(polygonAnnotation);
-      }
-      else if (viewType == StringHandler::DIAGRAM)
-      {
-        polygonAnnotation = new PolygonAnnotation(shape, mpDiagramGraphicsView);
-        polygonAnnotation->setFlags(QGraphicsItem::ItemIsMovable | QGraphicsItem::ItemIsSelectable);
-        mpDiagramGraphicsView->addShapeObject(polygonAnnotation);
-        mpDiagramGraphicsView->scene()->addItem(polygonAnnotation);
-      }
-      /*
-        before drawing the rectangle corner items add one point to polygon since drawrectanglecorneritems
-        deletes the one point. Why? because we end the polygon shape with double click which adds an extra
-        point to it. so we need to delete that point.
-      */
-      polygonAnnotation->addPoint(QPoint(0, 0));
-      polygonAnnotation->drawRectangleCornerItems();
-      polygonAnnotation->setSelectionBoxPassive();
-    }
-    if (shape.startsWith("Rectangle"))
-    {
-      shape = shape.mid(QString("Rectangle").length());
-      shape = StringHandler::removeFirstLastBrackets(shape);
-      RectangleAnnotation *rectangleAnnotation;
-      // add the shapeannotation item to shapes list
-      if (viewType == StringHandler::ICON)
-      {
-        rectangleAnnotation = new RectangleAnnotation(shape, mpIconGraphicsView);
-        rectangleAnnotation->setFlags(QGraphicsItem::ItemIsMovable | QGraphicsItem::ItemIsSelectable);
-        mpIconGraphicsView->addShapeObject(rectangleAnnotation);
-        mpIconGraphicsView->scene()->addItem(rectangleAnnotation);
-      }
-      else if (viewType == StringHandler::DIAGRAM)
-      {
-        rectangleAnnotation = new RectangleAnnotation(shape, mpDiagramGraphicsView);
-        rectangleAnnotation->setFlags(QGraphicsItem::ItemIsMovable | QGraphicsItem::ItemIsSelectable);
-        mpDiagramGraphicsView->addShapeObject(rectangleAnnotation);
-        mpDiagramGraphicsView->scene()->addItem(rectangleAnnotation);
-      }
-      rectangleAnnotation->drawRectangleCornerItems();
-      rectangleAnnotation->setSelectionBoxPassive();
-    }
-    if (shape.startsWith("Ellipse"))
-    {
-      shape = shape.mid(QString("Ellipse").length());
-      shape = StringHandler::removeFirstLastBrackets(shape);
-      EllipseAnnotation *ellipseAnnotation;
-      // add the shapeannotation item to shapes list
-      if (viewType == StringHandler::ICON)
-      {
-        ellipseAnnotation = new EllipseAnnotation(shape, mpIconGraphicsView);
-        ellipseAnnotation->setFlags(QGraphicsItem::ItemIsMovable | QGraphicsItem::ItemIsSelectable);
-        mpIconGraphicsView->addShapeObject(ellipseAnnotation);
-        mpIconGraphicsView->scene()->addItem(ellipseAnnotation);
-      }
-      else if (viewType == StringHandler::DIAGRAM)
-      {
-        ellipseAnnotation = new EllipseAnnotation(shape, mpDiagramGraphicsView);
-        ellipseAnnotation->setFlags(QGraphicsItem::ItemIsMovable | QGraphicsItem::ItemIsSelectable);
-        mpDiagramGraphicsView->addShapeObject(ellipseAnnotation);
-        mpDiagramGraphicsView->scene()->addItem(ellipseAnnotation);
-      }
-      ellipseAnnotation->drawRectangleCornerItems();
-      ellipseAnnotation->setSelectionBoxPassive();
-    }
-    if (shape.startsWith("Text"))
-    {
-      shape = shape.mid(QString("Text").length());
-      shape = StringHandler::removeFirstLastBrackets(shape);
-      TextAnnotation *textAnnotation;
-      // add the shapeannotation item to shapes list
-      if (viewType == StringHandler::ICON)
-      {
-        textAnnotation = new TextAnnotation(shape, mpIconGraphicsView);
-        textAnnotation->setFlags(QGraphicsItem::ItemIsMovable | QGraphicsItem::ItemIsSelectable);
-        mpIconGraphicsView->addShapeObject(textAnnotation);
-        mpIconGraphicsView->scene()->addItem(textAnnotation);
-      }
-      else if (viewType == StringHandler::DIAGRAM)
-      {
-        textAnnotation = new TextAnnotation(shape, mpDiagramGraphicsView);
-        textAnnotation->setFlags(QGraphicsItem::ItemIsMovable | QGraphicsItem::ItemIsSelectable);
-        mpDiagramGraphicsView->addShapeObject(textAnnotation);
-        mpDiagramGraphicsView->scene()->addItem(textAnnotation);
-      }
-      textAnnotation->drawRectangleCornerItems();
-      textAnnotation->setSelectionBoxPassive();
-    }
-    if (shape.startsWith("Bitmap"))
-    {
-      shape = shape.mid(QString("Bitmap").length());
-      shape = StringHandler::removeFirstLastBrackets(shape);
-      BitmapAnnotation *bitmapAnnotation;
-      // add the shapeannotation item to shapes list
-      if (viewType == StringHandler::ICON)
-      {
-        bitmapAnnotation = new BitmapAnnotation(shape, mpIconGraphicsView);
-        bitmapAnnotation->setFlags(QGraphicsItem::ItemIsMovable | QGraphicsItem::ItemIsSelectable);
-        mpIconGraphicsView->addShapeObject(bitmapAnnotation);
-        mpIconGraphicsView->scene()->addItem(bitmapAnnotation);
-      }
-      else if (viewType == StringHandler::DIAGRAM)
-      {
-        bitmapAnnotation = new BitmapAnnotation(shape, mpDiagramGraphicsView);
-        bitmapAnnotation->setFlags(QGraphicsItem::ItemIsMovable | QGraphicsItem::ItemIsSelectable);
-        mpDiagramGraphicsView->addShapeObject(bitmapAnnotation);
-        mpDiagramGraphicsView->scene()->addItem(bitmapAnnotation);
-      }
-      bitmapAnnotation->drawRectangleCornerItems();
-      bitmapAnnotation->setSelectionBoxPassive();
-    }
-  }
-}
-
-//! Gets the Icon and Diagram Annotation of the model and place them in the GraphicsView (Icon View).
-void ModelWidget::getModelIconDiagram()
-{
-  getModelShapes(getLibraryTreeNode()->getNameStructure(), StringHandler::ICON);
-  getModelShapes(getLibraryTreeNode()->getNameStructure(), StringHandler::DIAGRAM);
 }
 
Index: /branches/OMEdit/OMEditGUI/ModelWidgetContainer.h
===================================================================
--- /branches/OMEdit/OMEditGUI/ModelWidgetContainer.h	(revision 13536)
+++ /branches/OMEdit/OMEditGUI/ModelWidgetContainer.h	(revision 13537)
@@ -45,5 +45,4 @@
 
 #include "Component.h"
-#include "ConnectorWidget.h"
 #include "StringHandler.h"
 #include "ModelicaTextWidget.h"
@@ -52,15 +51,5 @@
 
 class ModelWidget;
-class Component;
-class Connector;
-class LineAnnotation_OMC;
 class LineAnnotation;
-class PolygonAnnotation;
-class RectangleAnnotation;
-class EllipseAnnotation;
-class TextAnnotation;
-class TextWidget;
-class BitmapAnnotation;
-class BitmapWidget;
 class ResizerItem;
 
@@ -101,12 +90,8 @@
   CoOrdinateSystem *mpCoOrdinateSystem;
   bool mIsCreatingConnection;
-  LineAnnotation_OMC *mpConnectionLineAnnotation;
-  QList<Component_OMC*> mComponents_OMCList;
-  QList<LineAnnotation_OMC*> mConnectionsList;
+  LineAnnotation *mpConnectionLineAnnotation;
+  QList<Component*> mComponentsList;
+  QList<LineAnnotation*> mConnectionsList;
   bool mIsMovingComponents;
-
-
-
-  Connector *mpConnector;
   QAction *mpPropertiesAction;
   QAction *mpDeleteAction;
@@ -114,11 +99,4 @@
   QAction *mpRotateAntiClockwiseAction;
   void createActions();
-  void createMenus();
-  void createLineShape(QPointF point);
-  void createPolygonShape(QPointF point);
-  void createRectangleShape(QPointF point);
-  void createEllipseShape(QPointF point);
-  void createTextShape(QPointF point);
-  void createBitmapShape(QPointF point);
 public:
   GraphicsView(StringHandler::ViewType viewType, ModelWidget *parent);
@@ -133,45 +111,13 @@
   void addComponentToView(QString name, QString className, QString transformationString, QPointF point, StringHandler::ModelicaClasses type,
                           bool addObject = true);
-  void addComponentObject(Component_OMC *pComponent);
-  Component_OMC* getComponent_OMCObject(QString componentName);
-
-
-  void addComponentoView(QString name, QString className, QString transformationString, QPointF point, bool isConnector = false,
-                         bool addObject = true, bool diagram = false);
-  void addComponentObject(Component *icon);
-  void deleteComponent_OMCObject(Component_OMC *pComponent);
-  void deleteComponentObject(Component *component, bool update = true);
-  void deleteAllComponentObjects();
+  void addComponentObject(Component *pComponent);
   Component* getComponentObject(QString componentName);
+  void deleteComponentObject(Component *pComponent);
   QString getUniqueComponentName(QString componentName, int number = 1);
   bool checkComponentName(QString componentName);
-  void addShapeObject(ShapeAnnotation *shape);
-  void deleteShapeObject(ShapeAnnotation *shape);
-  void deleteAllShapesObject();
-  void removeAllConnectors();
   void createConnection(QString startComponentName, QString endComponentName);
-  void createConnection(Component *pStartComponent, QString startIconCompName, Component *pComponent, QString endIconCompName);
   void deleteConnection(QString startComponentName, QString endComponentName);
-  void addConnectorForArray(Component *pStartComponent,Component *pEndComponent ,int startindex, int endindex);
-
-  QList<Component*> mComponentsList;
-  QList<ShapeAnnotation*> mShapesList;
-  LineAnnotation *mpLineShape;
-  PolygonAnnotation *mpPolygonShape;
-  RectangleAnnotation *mpRectangleShape;
-  EllipseAnnotation *mpEllipseShape;
-  TextAnnotation *mpTextShape;
-  TextWidget *mpTextWidget;
-  BitmapAnnotation *mpBitmapShape;
-  BitmapWidget *mpBitmapWidget;
-
-  bool mIsCreatingLine;
-  bool mIsCreatingPolygon;
-  bool mIsCreatingRectangle;
-  bool mIsCreatingEllipse;
-  bool mIsCreatingText;
-  bool mIsCreatingBitmap;
+
   bool mCustomScale;
-  QVector<Connector*> mConnectorsVector;
   QAction *mpCancelConnectionAction;
   QAction *mpRotateIconAction;
@@ -192,10 +138,7 @@
   void keyPressRight();
 public slots:
-  void addConnection(Component_OMC *pComponent);
-  void addConnector(Component *pComponent);
+  void addConnection(Component *pComponent);
   void removeConnection();
-  void removeConnector();
-  void removeConnection(LineAnnotation_OMC *pConnection);
-  void removeConnector(Connector* pConnector, bool update = true);
+  void removeConnection(LineAnnotation *pConnection);
   void resetZoom();
   void zoomIn();
@@ -203,5 +146,4 @@
   void selectAll();
   void addClassAnnotation(bool updateModelicaText = true);
-  void pasteComponent();
   void showGraphicsViewProperties();
 protected:
@@ -225,5 +167,4 @@
   WelcomePageWidget(MainWindow *parent = 0);
   void addRecentFilesListItems();
-  void addLatestNewsListItems();
 private:
   MainWindow *mpMainWindow;
@@ -238,6 +179,8 @@
   QFrame *mpLatestNewsFrame;
   Label *mpLatestNewsLabel;
+  Label *mpNoLatestNewsLabel;
   QListWidget *mpLatestNewsListWidget;
-  QLabel *mpVisitWebsiteLabel;
+  QPushButton *mpReloadLatestNewsButton;
+  Label *mpVisitWebsiteLabel;
   QNetworkAccessManager *mpLatestNewsNetworkAccessManager;
   QSplitter *mpSplitter;
@@ -246,7 +189,8 @@
   QPushButton *mpOpenModelButton;
 private slots:
+  void addLatestNewsListItems();
+  void readLatestNewsXML(QNetworkReply *pNetworkReply);
   void openRecentFileItem(QListWidgetItem *pItem);
   void openLatestNewsItem(QListWidgetItem *pItem);
-  void readLatestNewsXML(QNetworkReply *pNetworkReply);
 };
 
@@ -273,8 +217,4 @@
   void setModelFilePathLabel(QString path);
   Label* getCursorPositionLabel();
-  void getModelComponents(QString modelName);
-  void getModelConnections();
-  void getModelShapes(QString className, int viewType);
-  void getModelIconDiagram();
 private:
   LibraryTreeNode *mpLibraryTreeNode;
Index: /branches/OMEdit/OMEditGUI/OMEditGUI.pro
===================================================================
--- /branches/OMEdit/OMEditGUI/OMEditGUI.pro	(revision 13536)
+++ /branches/OMEdit/OMEditGUI/OMEditGUI.pro	(revision 13537)
@@ -77,5 +77,4 @@
     ShapeAnnotation.cpp \
     CornerItem.cpp \
-    ConnectorWidget.cpp \
     LineAnnotation.cpp \
     PolygonAnnotation.cpp \
@@ -84,5 +83,4 @@
     TextAnnotation.cpp \
     BitmapAnnotation.cpp \
-    IconProperties.cpp \
     IconParameters.cpp \
     Transformation.cpp \
@@ -105,5 +103,4 @@
     ShapeAnnotation.h \
     CornerItem.h \
-    ConnectorWidget.h \
     LineAnnotation.h \
     PolygonAnnotation.h \
@@ -112,5 +109,4 @@
     TextAnnotation.h \
     BitmapAnnotation.h \
-    IconProperties.h \
     IconParameters.h \
     Transformation.h \
